Bug 191081 - CVE-2006-2223 Quagga RIPd information disclosure
Summary: CVE-2006-2223 Quagga RIPd information disclosure
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quagga   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=moderate,source=cve,public=200...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-08 18:41 UTC by Josh Bressers
Modified: 2014-08-31 23:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 14:12:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-05-08 18:41:15 UTC
Quagga RIPd information disclosure

RIPd in Quagga does not honor version control for REQUEST packets.
Quagga will respond to these packages for RIP versions which have been
disabled, or require authentication.  This could cause Quagga to leak
information about the network to a remote attacker.

http://bugzilla.quagga.net/show_bug.cgi?id=261


This issue also affects FC4

Comment 1 Fedora Update System 2006-07-22 19:00:54 UTC
quagga-0.98.6-1.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.